NormalizedStringAdapter (Java Platform SE 8 )
Keywords: javax.xml.bind.annotation.adapters.NormalizedStringAdapter class
Date: 2026-01-21

javax.xml.bind.annotation.adapters

## Class NormalizedStringAdapter

- java.lang.Object
- - javax.xml.bind.annotation.adapters.XmlAdapter<String,String>
  - - javax.xml.bind.annotation.adapters.NormalizedStringAdapter

-     public final class NormalizedStringAdapter
      extends XmlAdapter<String,String>

  `XmlAdapter` to handle `xs:normalizedString`.

  Replaces any tab, CR, and LF by a whitespace character ' ', as specified in the whitespace facet 'replace'

  Since:
    JAXB 2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NormalizedStringAdapter()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static boolean` | `isWhiteSpaceExceptSpace(char ch)` Returns true if the specified char is a white space character but not 0x20.
    `String` | `marshal(String s)` No-op.
    `String` | `unmarshal(String text)` Replace any tab, CR, and LF by a whitespace character ' ', as specified in the whitespace facet 'replace'

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NormalizedStringAdapter

          public NormalizedStringAdapter()

  - ### Method Detail

    - #### unmarshal

          public String unmarshal(String text)

      Replace any tab, CR, and LF by a whitespace character ' ', as specified in the whitespace facet 'replace'
      Specified by:
        `unmarshal` in class `XmlAdapter<String,String>`
      Parameters:
        `text` - The value to be converted. Can be null.

    - #### marshal

          public String marshal(String s)

      No-op. Just return the same string given as the parameter.
      Specified by:
        `marshal` in class `XmlAdapter<String,String>`
      Parameters:
        `s` - The value to be convereted. Can be null.

    - #### isWhiteSpaceExceptSpace

          protected static boolean isWhiteSpaceExceptSpace(char ch)

      Returns true if the specified char is a white space character but not 0x20.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.